Enum Class TermsType

java.lang.Object
java.lang.Enum<TermsType>
com.eqixiac.equinix.internetaccess.enums.TermsType
All Implemented Interfaces:
APIParam, Serializable, Comparable<TermsType>, Constable

public enum TermsType extends Enum<TermsType> implements APIParam
The category of terms and conditions returned by the Equinix Internet Access (EIA) v1 terms lookup (GET /internetAccess/v1/terms).
  • Enum Constant Details

    • TERMS_AND_CONDITIONS

      public static final TermsType TERMS_AND_CONDITIONS
    • RENEWAL_TERMS

      public static final TermsType RENEWAL_TERMS
    • PRICE_INCREASE_TERMS

      public static final TermsType PRICE_INCREASE_TERMS
  • Method Details

    • values

      public static TermsType[] values()
      Returns an array containing the constants of this enum class, in the order they are declared.
      Returns:
      an array containing the constants of this enum class, in the order they are declared
    • valueOf

      public static TermsType valueOf(String name)
      Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
      Parameters:
      name - the name of the enum constant to be returned.
      Returns:
      the enum constant with the specified name
      Throws:
      IllegalArgumentException - if this enum class has no constant with the specified name
      NullPointerException - if the argument is null